VST 3 Interfaces: IMidiMapping2 Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IMidiMapping2 Class Referenceabstract

MIDI Mapping interface: Vst::IMidiMapping2. More...

`#include <ivstmidimapping2.h>`

Inheritance diagram for IMidiMapping2:

## Public Member Functions
virtual uint32 | getNumMidi2ControllerAssignments (BusDirections direction)=0
| Gets the number of MIDI 2.0 controller to parameter assignments.
virtual tresult | getMidi2ControllerAssignments (BusDirections direction, const Midi2ControllerParamIDAssignmentList &list)=0
| Gets MIDI 2.0 controller parameter assignments.
virtual uint32 | getNumMidi1ControllerAssignments (BusDirections direction)=0
| Gets the number of MIDI 1.0 controller to parameter assignments.
virtual tresult | getMidi1ControllerAssignments (BusDirections direction, const Midi1ControllerParamIDAssignmentList &list)=0
| Gets MIDI 1.0 controller parameter assignments.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

MIDI Mapping interface: Vst::IMidiMapping2.

- [plug imp]
- [extends IEditController]
- [released: 3.8.0]
- [optional]
- [replaces Vst::IMidiMapping]

This interface replaces Vst::IMidiMapping to support the extended MIDI controllers in MIDI 2.0.

A MIDI 2.0 capable host first queries for the Vst::IMidiMapping2 interface and uses the old Vst::IMidiMapping interface as a fallback.

A plug-in can use the Vst::IPlugInterfaceSupport to check if the host supports Vst::IMidiMapping2.

## Member Function Documentation

## ◆ getNumMidi2ControllerAssignments()

virtual uint32 getNumMidi2ControllerAssignments | ( | BusDirections | direction | ) |
| pure virtual

Gets the number of MIDI 2.0 controller to parameter assignments.

Parameters

  direction | input/output direction

Returns
  number of MIDI 2.0 controller to parameter assignments

Note
  [UI-thread & Connected]

## ◆ getMidi2ControllerAssignments()

virtual tresult getMidi2ControllerAssignments | ( | BusDirections | direction,
|  | const Midi2ControllerParamIDAssignmentList & | list )
| pure virtual

Gets MIDI 2.0 controller parameter assignments.

the list is preallocated by the host and must be filled by the plug-in

Parameters

  direction | input/output direction
  list | list of assignments

Returns
  kResultTrue on success

Note
  [UI-thread & Connected]

## ◆ getNumMidi1ControllerAssignments()

virtual uint32 getNumMidi1ControllerAssignments | ( | BusDirections | direction | ) |
| pure virtual

Gets the number of MIDI 1.0 controller to parameter assignments.

Parameters

  direction | input/output direction

Returns
  number of MIDI 1.0 controller to parameter assignments

Note
  [UI-thread & Connected]

## ◆ getMidi1ControllerAssignments()

virtual tresult getMidi1ControllerAssignments | ( | BusDirections | direction,
|  | const Midi1ControllerParamIDAssignmentList & | list )
| pure virtual

Gets MIDI 1.0 controller parameter assignments.

the list is preallocated by the host and must be filled by the plug-in

Parameters

  direction | input/output direction
  list | list of assignments

Returns
  kResultTrue on success

Note
  [UI-thread & Connected]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.